org.apache.cassandra.concurrent

## Class StageManager

- java.lang.Object
- - org.apache.cassandra.concurrent.StageManager

-     public class StageManager
      extends java.lang.Object

  This class manages executor services for Messages recieved: each Message requests running on a specific "stage" for concurrency control; hence the Map approach, even though stages (executors) are not created dynamically.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `KEEPALIVE`
    `static java.lang.Runnable` | `NO_OP_TASK`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StageManager()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LocalAwareExecutorService` | `getStage(Stage stage)` Retrieve a stage from the StageManager
    `static void` | `shutdownNow()` This method shuts down all registered stages.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### KEEPALIVE

          public static final long KEEPALIVE

      See Also:
        Constant Field Values

    - #### NO_OP_TASK

          public static final java.lang.Runnable NO_OP_TASK

  - ### Constructor Detail

    - #### StageManager

          public StageManager()

  - ### Method Detail

    - #### getStage

          public static LocalAwareExecutorService getStage(Stage stage)

      Retrieve a stage from the StageManager
      Parameters:
        `stage` - name of the stage to be retrieved.

    - #### shutdownNow

          public static void shutdownNow()

      This method shuts down all registered stages.

Copyright © 2018 The Apache Software Foundation